#! /bin/sh

. imgconvert_upload.conf

updir=$STAGE_DIR
site=$RSYNC_DIR

cd $updir

# Remove template data...
rm -f *.sh *.pl *~ .???* index_head.html UPDATE_FULL *.conf 

# Upload ou5tline first, then main pictures...
rsync --delete --progress --exclude '*.jpg' \
   --bwlimit=$RSYNC_BWLIMIT_SMALL \
   -ave ssh $updir $site
rsync --delete --progress --include '**/img_thumb/*.jpg' --exclude '*.jpg' \
   --bwlimit=$RSYNC_BWLIMIT_SMALL \
   -ave ssh $updir $site
rsync --delete --progress --include '**/img_640/*.jpg' --exclude '*.jpg' \
   --bwlimit=$RSYNC_BWLIMIT_MAIN \
   -ave ssh $updir $site
rsync --delete --progress \
   --bwlimit=$RSYNC_BWLIMIT_MAIN \
   -ave ssh $updir $site
